PDA

View Full Version : Error when running npm start on new install



timmkd
17 Sep 2019, 4:30 PM
Installing a new app as per https://docs.sencha.com/extreact/7.0.0/guides/getting_started.html

however I keep getting an error when running npm start

Here is the error log:
ℹ 「ext」: ext-webpack-plugin v7.0.0, Ext JS v7.0.0.156 Commercial Edition, Sencha Cmd v7.0.0.40, webpack v4.40.2, react v16.8.6
ℹ 「ext」: Starting development build for react
ℹ 「wds」: Project is running at http://0.0.0.0:1962/
ℹ 「wds」: webpack output is served from /
ℹ 「wds」: Content not from webpack is served from build
ℹ 「wds」: 404s will fallback to /index.html
ℹ 「ext」: ext-react-babel-plugin: reactVersion: ~16.8.6
ℹ 「ext」: Adding ext/ext.js and ext/ext.css to index.html
ℹ 「ext」: Copying /resources/ to: /build/resources
ℹ 「ext」: Building Ext bundle at: /build/ext
ℹ 「ext」: [ERR] Exception in thread "main"
ℹ 「ext」: [ERR] java.lang.UnsupportedClassVersionError: com/sencha/command/Sencha : Unsupported major.minor version 52.0 at java.lang.ClassLoader.defineClass1(Native Method) at java.lang.ClassLoader.defineClassCond(ClassLoader.java:637) at java.lang.ClassLoader.defineClass(ClassLoader.java:621) at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:141) at java.net.URLClassLoader.defineClass(URLClassLoader.java:283) at java.net.URLClassLoader.access$000(URLClassLoader.java:58) at java.net.URLClassLoader$1.run(URLClassLoader.java:197) at java.security.AccessController.doPrivileged(Native Method) at java.net.URLClassLoader.findClass(URLClassLoader.java:190) at java.lang.ClassLoader.loadClass(ClassLoader.java:306) at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:301) at java.lang.ClassLoader.loadClass(ClassLoader.java:247)
******************************************
Error: 1
at ChildProcess.child.on (/Users/tim/Code/senchatest/my-app/node_modules/@sencha/ext-webpack-plugin/dist/pluginUtil.js:591:41)
at ChildProcess.emit (events.js:182:13)
at maybeClose (internal/child_process.js:962:16)
at Socket.stream.socket.on (internal/child_process.js:381:11)
at Socket.emit (events.js:182:13)
at Pipe._handle.close (net.js:606:12)
******************************************

timmkd
17 Sep 2019, 5:11 PM
UPDATE:
I solved this by installing Java 11. Missed that prerrequisite!